
%global meadversion 8.0.1
%global namedversion 8.0.1.GA-redhat-00002
%global meadalpha .GA_redhat_00002
%global meadrel .1
%global serial 3

%bcond_without mead
%bcond_with javadoc
# migration in separate zip in EAP 8
%bcond_with migration
%bcond_with pncBuild

%define _binaries_in_noarch_packages_terminate_build 0

%{?scl:%scl_package wildfly}
%{!?scl:%global pkg_name %{name}}

%global cachedir %{_localstatedir}/cache/%{pkg_name}
%global libdir %{_sharedstatedir}/%{pkg_name}
%global rundir %{_localstatedir}/run/%{pkg_name}
%global homedir %{_datadir}/%{pkg_name}
%global bindir %{homedir}/bin
%global logdir %{_localstatedir}/log/%{pkg_name}
%global confdir %{_sysconfdir}/%{pkg_name} 
%global lockdir %{?scl:%_root_localstatedir}%{!?scl:%_localstatedir}/lock/subsys
%global standaloneService %{?scl_prefix}standalone
%global domainService %{?scl_prefix}domain

%global wfuid 185

%define maven_version 8.0.1.GA-redhat-00002

Name:           %{?scl_prefix}wildfly
Version: 	%{meadversion}
Release: 	%{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch: 		0
Summary:        Red Hat JBoss Enterprise Application Platform
License:        LGPLv2+
URL:            https://developers.redhat.com/products/eap/overview/
Group: Development/Java

%if %with mead
Source100: jboss-eap-8.0.1.GA-redhat-00002-project-sources.tar.gz
%endif


# The WildFly systemd service
Source3:          wildfly.service
# The WildFly systemd configuration file
Source4:          wildfly.conf
# A simple launch script
Source8:          launch.sh

# Scripts to remove versions from JAR names
Source5:          nvr2name.pl
Source6:          mvjar.sh

# Map for JARs not in standard locations
Source7: wildfly-jarmap

BuildArch:        noarch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:    perl
# Workaround for SCL bug on RHEL-6
%{?scl:Requires: %scl_runtime}
BuildRequires:    %{?scl_prefix}javapackages-tools
BuildRequires:    java-17
### Autogenerated BuildRequires
BuildRequires: eap8-amazon-ion-java >= 0:1.0.2-3
# From angus
BuildRequires: eap8-angus-mail >= 0:2.0.2-1
#
BuildRequires: eap8-angus-activation >= 0:2.0.1-1
BuildRequires: eap8-artemis-wildfly-integration >= 0:2.0.0-2
# From activemq-artemis
BuildRequires: eap8-activemq-artemis-cli >= 0:2.21.0-2
BuildRequires: eap8-activemq-artemis-commons >= 0:2.21.0-2
BuildRequires: eap8-activemq-artemis-core-client >= 0:2.21.0-2
BuildRequires: eap8-activemq-artemis-dto >= 0:2.21.0-2
BuildRequires: eap8-activemq-artemis-hornetq-protocol >= 0:2.21.0-2
BuildRequires: eap8-activemq-artemis-hqclient-protocol >= 0:2.21.0-2
BuildRequires: eap8-activemq-artemis-jakarta-client >= 0:2.21.0-2
BuildRequires: eap8-activemq-artemis-jakarta-ra >= 0:2.21.0-2
BuildRequires: eap8-activemq-artemis-jakarta-server >= 0:2.21.0-2
BuildRequires: eap8-activemq-artemis-jakarta-service-extensions >= 0:2.21.0-2
BuildRequires: eap8-activemq-artemis-jdbc-store >= 0:2.21.0-2
BuildRequires: eap8-activemq-artemis-journal >= 0:2.21.0-2
BuildRequires: eap8-activemq-artemis-selector >= 0:2.21.0-2
BuildRequires: eap8-activemq-artemis-server >= 0:2.21.0-2
#
BuildRequires: eap8-activemq-artemis-native >= 1:1.0.2-2
BuildRequires: eap8-aesh-extensions >= 0:1.8.0-1
BuildRequires: eap8-aesh-readline >= 0:2.2.0-1
# From antlr4
BuildRequires: eap8-antlr4 >= 0:4.10.0-1
BuildRequires: eap8-antlr4-runtime >= 0:4.10.0-1
#
BuildRequires: eap8-apache-commons-beanutils >= 0:1.9.4-10
BuildRequires: eap8-apache-commons-cli >= 0:1.4.0-1
BuildRequires: eap8-apache-commons-codec >= 0:1.15.0-3
BuildRequires: eap8-apache-commons-collections >= 0:3.2.2-27
BuildRequires: eap8-apache-commons-io >= 0:2.11.0-1
BuildRequires: eap8-apache-commons-lang >= 0:3.12.0-1
# From apache-cxf
BuildRequires: eap8-apache-cxf >= 0:4.0.0-1
BuildRequires: eap8-apache-cxf-rt >= 0:4.0.0-1
BuildRequires: eap8-apache-cxf-services >= 0:4.0.0-1
BuildRequires: eap8-apache-cxf-tools >= 0:4.0.0-1
#
# From apache-mime4j
BuildRequires: eap8-apache-mime4j >= 0:0.8.9-1
BuildRequires: eap8-apache-mime4j-dom >= 0:0.8.9-1
BuildRequires: eap8-apache-mime4j-storage >= 0:0.8.9-1
#
BuildRequires: eap8-apache-sshd >= 0:2.12.0-1
# From artemis-native
BuildRequires: eap8-artemis-native-wildfly >= 1:1.0.2-2
#
# From aws-java-sdk
BuildRequires: eap8-aws-java-sdk-core >= 0:1.12.284-1
BuildRequires: eap8-aws-java-sdk-kms >= 0:1.12.284-1
BuildRequires: eap8-aws-java-sdk-s3 >= 0:1.12.284-1
BuildRequires: eap8-jmespath-java >= 0:1.12.284-1
#
BuildRequires: eap8-asyncutil >= 0:0.1.0-1
BuildRequires: eap8-azure-storage >= 0:8.6.6-3
BuildRequires: eap8-byte-buddy >= 0:1.14.7-2
BuildRequires: eap8-caffeine >= 0:3.1.6-2
# From apache-cxf-xjc-utils
BuildRequires: eap8-cxf-xjc-ts >= 0:4.0.0-4
BuildRequires: eap8-cxf-xjc-dv >= 0:4.0.0-4
BuildRequires: eap8-cxf-xjc-boolean >= 0:4.0.0-4
BuildRequires: eap8-cxf-xjc-bug986 >= 0:4.0.0-4
BuildRequires: eap8-cxf-xjc-runtime >= 0:4.0.0-4
#
BuildRequires: eap8-atinject >= 0:2.0.1-1
# From bouncycastle
BuildRequires: eap8-bouncycastle-jmail >= 0:1.76.0-1
BuildRequires: eap8-bouncycastle-pg >= 0:1.76.0-1
BuildRequires: eap8-bouncycastle-pkix >= 0:1.76.0-1
BuildRequires: eap8-bouncycastle-prov >= 0:1.76.0-1
BuildRequires: eap8-bouncycastle-util >= 0:1.76.0-1
#
BuildRequires: eap8-commons-logging-jboss-logging >= 0:1.0.0-1
BuildRequires: eap8-cryptacular >= 0:1.2.5-1
BuildRequires: eap8-eclipse-jgit >= 0:6.6.1.202309021850-1
BuildRequires: eap8-ecj >= 1:3.31.0-1
# From elasticsearch
BuildRequires: eap8-elasticsearch-rest-client >= 0:8.9.0-1
BuildRequires: eap8-elasticsearch-rest-client-sniffer >= 0:8.9.0-1
#
BuildRequires: eap8-elytron-web >= 0:4.0.0-1
BuildRequires: eap8-expressly >= 0:5.0.0-4
# From fastinfoset
BuildRequires: eap8-fastinfoset >= 0:2.1.0-3
#
BuildRequires: eap8-fge-btf >= 0:1.2.0-1
BuildRequires: eap8-fge-msg-simple >= 0:1.1.0-1
BuildRequires: eap8-gnu-getopt >= 0:1.0.13-1
BuildRequires: eap8-gson >= 0:2.8.9-1
BuildRequires: eap8-guava-failureaccess >= 0:1.0.1-3
# From guava-libraries
BuildRequires: eap8-guava >= 0:32.1.1-1
#
BuildRequires: eap8-h2database >= 0:2.1.214-1
BuildRequires: eap8-hal-console >= 0:3.6.17-1
BuildRequires: eap8-hibernate-commons-annotations >= 0:6.0.6-1
# From hibernate-search
BuildRequires: eap8-hibernate-search-backend-elasticsearch >= 0:6.2.1-1
BuildRequires: eap8-hibernate-search-backend-lucene >= 0:6.2.1-1
BuildRequires: eap8-hibernate-search-engine >= 0:6.2.1-1
BuildRequires: eap8-hibernate-search-mapper-orm-orm6 >= 0:6.2.1-1
BuildRequires: eap8-hibernate-search-mapper-pojo-base >= 0:6.2.1-1
BuildRequires: eap8-hibernate-search-util-common >= 0:6.2.1-1
#
# From hibernate-validator
BuildRequires: eap8-hibernate-validator >= 0:8.0.0-3
BuildRequires: eap8-hibernate-validator-cdi >= 0:8.0.0-3
#
# From hibernate
BuildRequires: eap8-hibernate-core >= 0:6.2.13-1
BuildRequires: eap8-hibernate-envers >= 0:6.2.13-1
#
# From hornetq
BuildRequires: eap8-hornetq-commons >= 0:2.4.9-3
BuildRequires: eap8-hornetq-core-client >= 0:2.4.9-3
BuildRequires: eap8-hornetq-jakarta-client >= 0:2.4.9-3
#
BuildRequires: eap8-hppc >= 0:0.8.1-1
BuildRequires: eap8-httpcomponents-asyncclient >= 0:4.1.5-1
BuildRequires: eap8-httpcomponents-client >= 0:4.5.14-1
BuildRequires: eap8-httpcomponents-core >= 0:4.4.16-1
# From infinispan
BuildRequires: eap8-infinispan-cachestore-jdbc-jakarta >= 0:14.0.17-1
BuildRequires: eap8-infinispan-cachestore-jdbc-common-jakarta >= 0:14.0.17-1
BuildRequires: eap8-infinispan-cachestore-remote >= 0:14.0.17-1
BuildRequires: eap8-infinispan-cdi-common-jakarta >= 0:14.0.17-1
BuildRequires: eap8-infinispan-cdi-embedded-jakarta >= 0:14.0.17-1
BuildRequires: eap8-infinispan-cdi-remote-jakarta >= 0:14.0.17-1
BuildRequires: eap8-infinispan-client-hotrod-jakarta >= 0:14.0.17-1
BuildRequires: eap8-infinispan-clustered-counter >= 0:14.0.17-1
BuildRequires: eap8-infinispan-clustered-lock >= 0:14.0.17-1
BuildRequires: eap8-infinispan-commons-jakarta >= 0:14.0.17-1
BuildRequires: eap8-infinispan-component-annotations >= 0:14.0.17-1
BuildRequires: eap8-infinispan-core-jakarta >= 0:14.0.17-1
BuildRequires: eap8-infinispan-hibernate-cache-commons >= 0:14.0.17-1
BuildRequires: eap8-infinispan-hibernate-cache-spi >= 0:14.0.17-1
BuildRequires: eap8-infinispan-hibernate-cache-v62 >= 0:14.0.17-1
BuildRequires: eap8-infinispan-query >= 0:14.0.17-1
BuildRequires: eap8-infinispan-query-core >= 0:14.0.17-1
BuildRequires: eap8-infinispan-query-dsl >= 0:14.0.17-1
BuildRequires: eap8-infinispan-objectfilter >= 0:14.0.17-1
BuildRequires: eap8-infinispan-remote-query-client >= 0:14.0.17-1
#
BuildRequires: eap8-insights-java-client >= 0:1.0.9-2
BuildRequires: eap8-installation-manager-api >= 0:1.0.2-1
# From ironjacamar
BuildRequires: eap8-ironjacamar-common-api >= 0:3.0.2-2
BuildRequires: eap8-ironjacamar-common-impl >= 0:3.0.2-2
BuildRequires: eap8-ironjacamar-common-spi >= 0:3.0.2-2
BuildRequires: eap8-ironjacamar-core-api >= 0:3.0.2-2
BuildRequires: eap8-ironjacamar-core-impl >= 0:3.0.2-2
BuildRequires: eap8-ironjacamar-deployers-common >= 0:3.0.2-2
BuildRequires: eap8-ironjacamar-jdbc >= 0:3.0.2-2
BuildRequires: eap8-ironjacamar-validator >= 0:3.0.2-2
#
BuildRequires: eap8-jackson-annotations >= 0:2.15.2-1
# From jackson-dataformats-binary
BuildRequires: eap8-jackson-dataformat-cbor >= 0:2.15.2-1
#
BuildRequires: eap8-jackson-core >= 0:2.15.2-1
BuildRequires: eap8-jackson-coreutils >= 0:1.8.0-1
BuildRequires: eap8-jackson-databind >= 0:2.15.2-1
# From jackson-modules-java8
BuildRequires: eap8-jackson-datatype-jsr310 >= 0:2.15.2-1
BuildRequires: eap8-jackson-datatype-jdk8 >= 0:2.15.2-1
#
# From jackson-modules-base
BuildRequires: eap8-jackson-module-jakarta-xmlbind-annotations >= 0:2.15.2-1
#
# From jackson-jaxrs-providers
BuildRequires: eap8-jackson-jaxrs-base >= 0:2.15.2-1
BuildRequires: eap8-jackson-jaxrs-json-provider >= 0:2.15.2-1
#
BuildRequires: eap8-jandex >= 0:3.0.6-1
BuildRequires: eap8-jansi >= 0:1.18.0-1
BuildRequires: eap8-jakarta-activation >= 0:2.1.2-1
BuildRequires: eap8-jakarta-annotation-api >= 0:2.1.1-2
BuildRequires: eap8-jakarta-authorization >= 0:3.0.3-1
BuildRequires: eap8-jakarta-authorization-api >= 0:2.1.0-2
BuildRequires: eap8-jakarta-authentication >= 0:3.0.3-1
BuildRequires: eap8-jakarta-authentication-api >= 0:3.0.0-2
BuildRequires: eap8-jakarta-batch-api >= 0:2.1.1-1
BuildRequires: eap8-jakarta-ejb-api >= 0:4.0.1-1
BuildRequires: eap8-jakarta-enterprise-concurrent >= 0:3.0.0-3
BuildRequires: eap8-jakarta-enterprise-concurrent-api >= 0:3.0.2-1
# From jakarta-enterprise-lang-model
BuildRequires: eap8-jakarta-enterprise-lang-model >= 0:4.0.1-1
BuildRequires: eap8-jakarta-enterprise-cdi-api >= 0:4.0.1-1
#
BuildRequires: eap8-jakarta-interceptor-api >= 0:2.1.0-2
BuildRequires: eap8-jakarta-jms-api >= 0:3.1.0-2
BuildRequires: eap8-jakarta-json >= 0:1.1.6-2
BuildRequires: eap8-jakarta-json-api >= 0:2.1.2-1
BuildRequires: eap8-jakarta-mail >= 0:2.1.2-1
BuildRequires: eap8-jakarta-resource-api >= 0:2.1.0-1
BuildRequires: eap8-jakarta-security-enterprise-api >= 0:3.0.0-1
BuildRequires: eap8-jakarta-servlet-api >= 0:6.0.0-2
BuildRequires: eap8-jakarta-servlet-jsp-api >= 0:3.1.0-2
# From jakarta-servlet-jsp-jstl-api
BuildRequires: eap8-jakarta-servlet-jsp-jstl >= 0:3.0.0-4
BuildRequires: eap8-jakarta-servlet-jsp-jstl-api >= 0:3.0.0-4
#
BuildRequires: eap8-jakarta-transaction-api >= 0:2.0.1-1
BuildRequires: eap8-jakarta-validation-api >= 0:3.0.2-1
# From jakarta-websocket
BuildRequires: eap8-jakarta-websocket-api >= 0:2.1.0-4
BuildRequires: eap8-jakarta-websocket-client-api >= 0:2.1.0-4
#
BuildRequires: eap8-jakarta-ws-rs-api >= 0:3.1.0-2
BuildRequires: eap8-jakarta-xml-bind-api >= 0:4.0.0-1
BuildRequires: eap8-jasypt >= 0:1.9.3-1
BuildRequires: eap8-java-classmate >= 0:1.5.1-1
BuildRequires: eap8-javaewah >= 0:1.1.13-1
BuildRequires: eap8-javaee-jpa-spec >= 0:3.1.0-1
# From javaee-security-soteria
BuildRequires: eap8-javaee-security-soteria-enterprise >= 0:3.0.0-2
#
# From jaxb
BuildRequires: eap8-codemodel >= 0:4.0.1-2
BuildRequires: eap8-rngom >= 0:4.0.1-2
BuildRequires: eap8-txw2 >= 0:4.0.1-2
BuildRequires: eap8-jaxb-core >= 0:4.0.1-2
BuildRequires: eap8-jaxb-jxc >= 0:4.0.1-2
BuildRequires: eap8-jaxb-xjc >= 0:4.0.1-2
BuildRequires: eap8-jaxb-runtime >= 0:4.0.1-2
BuildRequires: eap8-relaxng-datatype >= 0:4.0.1-2
BuildRequires: eap8-xsom >= 0:4.0.1-2
#
BuildRequires: eap8-jaxbintros >= 0:2.0.1-1
# From jberet
BuildRequires: eap8-jberet-core >= 0:2.1.1-3
#
# From jctools
BuildRequires: eap8-jctools-core >= 0:2.1.2-1
#
BuildRequires: eap8-jboss-aesh >= 0:2.4.0-1
BuildRequires: eap8-jboss-cert-helper >= 0:1.0.9-1
BuildRequires: eap8-jboss-classfilewriter >= 0:1.3.0-1
BuildRequires: eap8-jboss-common-beans >= 0:2.0.1-1
BuildRequires: eap8-jboss-dmr >= 0:1.6.1-1
BuildRequires: eap8-jboss-ejb-client >= 0:5.0.5-1
BuildRequires: eap8-jboss-ejb3-ext-api >= 0:2.3.0-1
BuildRequires: eap8-jboss-el-api_5.0_spec >= 0:4.0.1-1
BuildRequires: eap8-jboss-genericjms >= 0:3.0.0-2
BuildRequires: eap8-jboss-iiop-client >= 0:2.0.1-1
BuildRequires: eap8-jboss-invocation >= 0:2.0.0-1
BuildRequires: eap8-jboss-jakarta-xml-ws-api_4.0_spec >= 0:1.0.0-1
BuildRequires: eap8-jboss-logging >= 0:3.4.3-1
BuildRequires: eap8-jboss-logmanager >= 0:2.1.19-1
# From jboss-marshalling
BuildRequires: eap8-jboss-marshalling >= 0:2.1.3-1
BuildRequires: eap8-jboss-marshalling-river >= 0:2.1.3-1
# From jboss-metadata
BuildRequires: eap8-jboss-metadata-appclient >= 0:16.0.0-2
BuildRequires: eap8-jboss-metadata-common >= 0:16.0.0-2
BuildRequires: eap8-jboss-metadata-ejb >= 0:16.0.0-2
BuildRequires: eap8-jboss-metadata-ear >= 0:16.0.0-2
BuildRequires: eap8-jboss-metadata-web >= 0:16.0.0-2
#
BuildRequires: eap8-jboss-modules >= 0:2.1.0-1
BuildRequires: eap8-jboss-msc >= 0:1.5.1-1
BuildRequires: eap8-jboss-openjdk-orb >= 0:9.0.1-1
BuildRequires: eap8-jboss-remoting >= 0:5.0.27-4
BuildRequires: eap8-jboss-remoting-jmx >= 0:3.0.4-1
BuildRequires: eap8-jboss-saaj-api_3.0_spec >= 0:1.0.0-1
#
BuildRequires: eap8-jboss-stdio >= 0:1.1.0-1
BuildRequires: eap8-jboss-threads >= 0:2.4.0-2
BuildRequires: eap8-jboss-transaction-spi >= 0:8.0.0-1
BuildRequires: eap8-jboss-vfs >= 0:3.3.0-1
# From jboss-weld-api
BuildRequires: eap8-jboss-weld-api-weld-api >= 0:5.0.0-3
BuildRequires: eap8-jboss-weld-api-weld-spi >= 0:5.0.0-3
#
BuildRequires: eap8-jboss-xnio-base >= 0:3.8.12-2
BuildRequires: eap8-jsf-impl >= 0:4.0.4-1
BuildRequires: eap8-jbossws-api >= 0:3.0.0-1
BuildRequires: eap8-jbossws-common >= 0:5.0.0-1
BuildRequires: eap8-jbossws-common-tools >= 0:2.1.0-1
BuildRequires: eap8-jbossws-cxf >= 0:7.0.0-1
BuildRequires: eap8-jbossws-jaxws-undertow-httpspi >= 0:2.0.0-1
BuildRequires: eap8-jbossws-spi >= 0:5.0.0-1
BuildRequires: eap8-jcip-annotations >= 0:1.0.0-1
BuildRequires: eap8-jgroups >= 0:5.2.18-1
BuildRequires: eap8-jgroups-aws >= 0:2.0.1-1
BuildRequires: eap8-jgroups-azure >= 0:2.0.2-1
BuildRequires: eap8-jgroups-kubernetes >= 0:2.0.1-1
BuildRequires: eap8-joda-time >= 0:2.12.1-1
BuildRequires: eap8-jose4j >= 0:0.9.3-1
BuildRequires: eap8-json-patch >= 0:1.9.0-1
BuildRequires: eap8-jsonb-spec >= 0:3.0.0-1
BuildRequires: eap8-jul-to-slf4j-stub >= 0:1.0.1-1
BuildRequires: eap8-log4j >= 0:2.19.0-2
BuildRequires: eap8-log4j2-jboss-logmanager >= 0:1.1.1-1
# From lucene-solr
BuildRequires: eap8-lucene-analyzers-common >= 0:8.11.2-2
BuildRequires: eap8-lucene-core >= 0:8.11.2-2
BuildRequires: eap8-lucene-facet >= 0:8.11.2-2
BuildRequires: eap8-lucene-join >= 0:8.11.2-2
BuildRequires: eap8-lucene-queries >= 0:8.11.2-2
BuildRequires: eap8-lucene-queryparser >= 0:8.11.2-2
#
BuildRequires: eap8-mod_cluster >= 0:2.0.1-1
# From narayana
BuildRequires: eap8-narayana-compensations >= 0:6.0.1-2
BuildRequires: eap8-narayana-jbosstxbridge >= 0:6.0.1-2
BuildRequires: eap8-narayana-jbossxts >= 0:6.0.1-2
BuildRequires: eap8-narayana-jts-idlj >= 0:6.0.1-2
BuildRequires: eap8-narayana-jts-integration >= 0:6.0.1-2
BuildRequires: eap8-narayana-restat-api >= 0:6.0.1-2
BuildRequires: eap8-narayana-restat-bridge >= 0:6.0.1-2
BuildRequires: eap8-narayana-restat-integration >= 0:6.0.1-2
BuildRequires: eap8-narayana-restat-util >= 0:6.0.1-2
#narayana-txframework
#
BuildRequires: eap8-neethi >= 0:3.1.1-3
BuildRequires: eap8-netty-xnio-transport >= 0:0.1.9-1
# From netty
BuildRequires: eap8-netty-buffer >= 0:4.1.100-1
BuildRequires: eap8-netty-codec >= 0:4.1.100-1
BuildRequires: eap8-netty-codec-dns >= 0:4.1.100-1
BuildRequires: eap8-netty-codec-http >= 0:4.1.100-1
BuildRequires: eap8-netty-codec-socks >= 0:4.1.100-1
BuildRequires: eap8-netty-common >= 0:4.1.100-1
BuildRequires: eap8-netty-handler >= 0:4.1.100-1
BuildRequires: eap8-netty-handler-proxy >= 0:4.1.100-1
BuildRequires: eap8-netty-resolver >= 0:4.1.100-1
BuildRequires: eap8-netty-resolver-dns >= 0:4.1.100-1
BuildRequires: eap8-netty-transport >= 0:4.1.100-1
BuildRequires: eap8-netty-transport-classes-epoll >= 0:4.1.100-1
BuildRequires: eap8-netty-transport-native-unix-common >= 0:4.1.100-1
#
BuildRequires: eap8-netty-transport-native-epoll >= 0:4.1.100-4
BuildRequires: eap8-nimbus-jose-jwt >= 0:9.24.4-1
# From objectweb-asm
BuildRequires: eap8-objectweb-asm >= 0:9.4.0-1
BuildRequires: eap8-objectweb-asm-util >= 0:9.4.0-1
#
# From opensaml
BuildRequires: eap8-opensaml-core >= 0:4.2.0-3
BuildRequires: eap8-opensaml-profile-api >= 0:4.2.0-3
BuildRequires: eap8-opensaml-saml-api >= 0:4.2.0-3
BuildRequires: eap8-opensaml-saml-impl >= 0:4.2.0-3
BuildRequires: eap8-opensaml-security-api >= 0:4.2.0-3
BuildRequires: eap8-opensaml-security-impl >= 0:4.2.0-3
BuildRequires: eap8-opensaml-soap-api >= 0:4.2.0-3
BuildRequires: eap8-opensaml-xacml-api >= 0:4.2.0-3
BuildRequires: eap8-opensaml-xacml-impl >= 0:4.2.0-3
BuildRequires: eap8-opensaml-xacml-saml-api >= 0:4.2.0-3
BuildRequires: eap8-opensaml-xacml-saml-impl >= 0:4.2.0-3
BuildRequires: eap8-opensaml-xmlsec-api >= 0:4.2.0-3
BuildRequires: eap8-opensaml-xmlsec-impl >= 0:4.2.0-3
BuildRequires: eap8-parsson >= 0:1.1.5-1
BuildRequires: eap8-protoparser >= 0:4.0.3-1
BuildRequires: eap8-protostream >= 0:4.6.5-1
BuildRequires: eap8-reactivex-rxjava2 >= 0:2.2.21-1
BuildRequires: eap8-reactivex-rxjava >= 0:3.1.6-1
BuildRequires: eap8-reactive-streams >= 0:1.0.4-1
# From resteasy
BuildRequires: eap8-resteasy-atom-provider >= 0:6.2.4-1
BuildRequires: eap8-resteasy-cdi >= 0:6.2.4-1
BuildRequires: eap8-resteasy-client >= 0:6.2.4-1
BuildRequires: eap8-resteasy-client-api >= 0:6.2.4-1
BuildRequires: eap8-resteasy-core >= 0:6.2.4-1
BuildRequires: eap8-resteasy-core-spi >= 0:6.2.4-1
BuildRequires: eap8-resteasy-crypto >= 0:6.2.4-1
BuildRequires: eap8-resteasy-jackson2-provider >= 0:6.2.4-1
BuildRequires: eap8-resteasy-jaxb-provider >= 0:6.2.4-1
BuildRequires: eap8-resteasy-jsapi >= 0:6.2.4-1
BuildRequires: eap8-resteasy-json-binding-provider >= 0:6.2.4-1
BuildRequires: eap8-resteasy-json-p-provider >= 0:6.2.4-1
BuildRequires: eap8-resteasy-multipart-provider >= 0:6.2.4-1
BuildRequires: eap8-resteasy-rxjava2 >= 0:6.2.4-1
BuildRequires: eap8-resteasy-validator-provider >= 0:6.2.4-1
#
# From resteasy-extensions
BuildRequires: eap8-resteasy-tracing-api >= 0:2.0.1-2
#
BuildRequires: eap8-resteasy-spring >= 0:3.0.1-1
BuildRequires: eap8-saaj-impl >= 0:3.0.0-2
BuildRequires: eap8-shibboleth-java-support >= 0:8.0.0-3
BuildRequires: eap8-slf4j-jboss-logmanager >= 0:2.0.1-1
# From slf4j
BuildRequires: eap8-slf4j-api >= 0:2.0.7-2
#
BuildRequires: eap8-snakeyaml >= 0:2.0.0-1
BuildRequires: eap8-stax-ex >= 0:2.1.0-2
BuildRequires: eap8-stax2-api >= 0:4.2.1-1
BuildRequires: eap8-staxmapper >= 0:1.4.0-1
# From sun-istack-commons
BuildRequires: eap8-istack-commons-runtime >= 0:4.1.1-2
BuildRequires: eap8-istack-commons-tools >= 0:4.1.1-2
#
BuildRequires: eap8-undertow >= 0:2.3.10-4
BuildRequires: eap8-undertow-jastow >= 0:2.2.6-1
# From vdx
BuildRequires: eap8-vdx-core >= 0:1.1.6-2
BuildRequires: eap8-vdx-wildfly >= 0:1.1.6-2
# From velocity
BuildRequires: eap8-velocity-engine-core >= 0:2.3.0-1
#
# From weld-core
BuildRequires: eap8-weld-core-jsf >= 0:5.1.2-1
BuildRequires: eap8-weld-core-impl >= 0:5.1.2-1
BuildRequires: eap8-weld-ejb >= 0:5.1.2-1
BuildRequires: eap8-weld-lite-extension-translator >= 0:5.1.2-1
BuildRequires: eap8-weld-jta >= 0:5.1.2-1
BuildRequires: eap8-weld-web >= 0:5.1.2-1
#
BuildRequires: eap8-wildfly-client-config >= 0:1.0.1-3
BuildRequires: eap8-wildfly-common >= 0:1.6.0-3
# From wildfly-discovery
BuildRequires: eap8-wildfly-discovery-client >= 0:1.2.1-3
#
# From wildfly-elytron-ee
BuildRequires: eap8-jakarta-authentication >= 0:3.0.3-1
BuildRequires: eap8-jakarta-authorization >= 0:3.0.3-1
BuildRequires: eap8-jakarta-client-resteasy >= 0:3.0.3-1
BuildRequires: eap8-jakarta-client-webservices >= 0:3.0.3-1
BuildRequires: eap8-jakarta-security >= 0:3.0.3-1
#
# From wildfly-elytron
BuildRequires: eap8-wildfly-elytron >= 0:2.2.2-1
BuildRequires: eap8-wildfly-elytron-tool >= 0:2.2.2-1
#
# From wildfly-http-client
BuildRequires: eap8-wildfly-http-client-common >= 0:2.0.6-1
BuildRequires: eap8-wildfly-http-ejb-client >= 0:2.0.6-1
BuildRequires: eap8-wildfly-http-naming-client >= 0:2.0.6-1
BuildRequires: eap8-wildfly-http-transaction-client >= 0:2.0.6-1
#
BuildRequires: eap8-wildfly-naming-client >= 0:2.0.1-1
BuildRequires: eap8-wildfly-openssl-linux >= 0:2.2.2-1
# From wildfly-openssl
BuildRequires: eap8-wildfly-openssl-java >= 0:2.2.5-1
#
BuildRequires: eap8-wildfly-transaction-client >= 0:3.0.2-1
BuildRequires: eap8-woodstox-core >= 0:6.4.0-1
BuildRequires: eap8-ws-commons-XmlSchema >= 0:2.3.0-1
BuildRequires: eap8-wsdl4j >= 0:1.6.3-1
# From wss4j
BuildRequires: eap8-wss4j-ws-security-common >= 0:3.0.0-1
BuildRequires: eap8-wss4j-bindings >= 0:3.0.0-1
BuildRequires: eap8-wss4j-ws-security-stax >= 0:3.0.0-1
BuildRequires: eap8-wss4j-ws-security-dom >= 0:3.0.0-1
BuildRequires: eap8-wss4j-ws-security-policy-stax >= 0:3.0.0-1
BuildRequires: eap8-wss4j-policy >= 0:3.0.0-1
#
# From xml-commons-resolver
BuildRequires: eap8-xml-resolver >= 0:1.2.0-2
#
BuildRequires: eap8-xml-security >= 0:3.0.3-1
BuildRequires: eap8-yasson >= 0:3.0.2-1

# Only JRE is required. ECJ(JDT) is used for compiling JSPs for example
# EAPPROD-600
Requires:  	  %{?scl_prefix}wildfly-java = %{epoch}:%{version}-%{release}
Requires(pre):    shadow-utils
BuildRequires:   systemd-units
Requires(post):   systemd-units
Requires(preun):  systemd-units
Requires(postun): systemd-units
# We need the base modules
Requires:  %{?scl_prefix}wildfly-modules = %{epoch}:%{version}-%{release}

#### Any Obsoletes goes here (for upgrades):

%description
Red Hat JBoss Enterprise Application Platform (formerly known as JBoss 
Application Server) is the latest release in a series of EAP offerings.
The state-of-the-art architecture built on the Modular Service
Container enables services on-demand when your application requires them.


%package modules
Group: Development/Java

Summary: Red Hat JBoss Enterprise Application Platform base modules
### Autogenerated Requires
Requires: eap8-amazon-ion-java >= 0:1.0.2-3
# From angus
Requires: eap8-angus-mail >= 0:2.0.2-1
#
Requires: eap8-angus-activation >= 0:2.0.1-1
Requires: eap8-artemis-wildfly-integration >= 0:2.0.0-2
# From activemq-artemis
Requires: eap8-activemq-artemis-cli >= 0:2.21.0-2
Requires: eap8-activemq-artemis-commons >= 0:2.21.0-2
Requires: eap8-activemq-artemis-core-client >= 0:2.21.0-2
Requires: eap8-activemq-artemis-dto >= 0:2.21.0-2
Requires: eap8-activemq-artemis-hornetq-protocol >= 0:2.21.0-2
Requires: eap8-activemq-artemis-hqclient-protocol >= 0:2.21.0-2
Requires: eap8-activemq-artemis-jakarta-client >= 0:2.21.0-2
Requires: eap8-activemq-artemis-jakarta-ra >= 0:2.21.0-2
Requires: eap8-activemq-artemis-jakarta-server >= 0:2.21.0-2
Requires: eap8-activemq-artemis-jakarta-service-extensions >= 0:2.21.0-2
Requires: eap8-activemq-artemis-jdbc-store >= 0:2.21.0-2
Requires: eap8-activemq-artemis-journal >= 0:2.21.0-2
Requires: eap8-activemq-artemis-selector >= 0:2.21.0-2
Requires: eap8-activemq-artemis-server >= 0:2.21.0-2
#
Requires: eap8-activemq-artemis-native >= 1:1.0.2-2
Requires: eap8-aesh-extensions >= 0:1.8.0-1
Requires: eap8-aesh-readline >= 0:2.2.0-1
# From antlr4
Requires: eap8-antlr4 >= 0:4.10.0-1
Requires: eap8-antlr4-runtime >= 0:4.10.0-1
#
Requires: eap8-apache-commons-beanutils >= 0:1.9.4-10
Requires: eap8-apache-commons-cli >= 0:1.4.0-1
Requires: eap8-apache-commons-codec >= 0:1.15.0-3
Requires: eap8-apache-commons-collections >= 0:3.2.2-27
Requires: eap8-apache-commons-io >= 0:2.11.0-1
Requires: eap8-apache-commons-lang >= 0:3.12.0-1
# From apache-cxf
Requires: eap8-apache-cxf >= 0:4.0.0-1
Requires: eap8-apache-cxf-rt >= 0:4.0.0-1
Requires: eap8-apache-cxf-services >= 0:4.0.0-1
Requires: eap8-apache-cxf-tools >= 0:4.0.0-1
#
# From apache-mime4j
Requires: eap8-apache-mime4j >= 0:0.8.9-1
Requires: eap8-apache-mime4j-dom >= 0:0.8.9-1
Requires: eap8-apache-mime4j-storage >= 0:0.8.9-1
#
Requires: eap8-apache-sshd >= 0:2.12.0-1
# From artemis-native
Requires: eap8-artemis-native-wildfly >= 1:1.0.2-2
#
# From aws-java-sdk
Requires: eap8-aws-java-sdk-core >= 0:1.12.284-1
Requires: eap8-aws-java-sdk-kms >= 0:1.12.284-1
Requires: eap8-aws-java-sdk-s3 >= 0:1.12.284-1
Requires: eap8-jmespath-java >= 0:1.12.284-1
#
Requires: eap8-asyncutil >= 0:0.1.0-1
Requires: eap8-azure-storage >= 0:8.6.6-3
Requires: eap8-byte-buddy >= 0:1.14.7-2
Requires: eap8-caffeine >= 0:3.1.6-2
# From apache-cxf-xjc-utils
Requires: eap8-cxf-xjc-ts >= 0:4.0.0-4
Requires: eap8-cxf-xjc-dv >= 0:4.0.0-4
Requires: eap8-cxf-xjc-boolean >= 0:4.0.0-4
Requires: eap8-cxf-xjc-bug986 >= 0:4.0.0-4
Requires: eap8-cxf-xjc-runtime >= 0:4.0.0-4
#
Requires: eap8-atinject >= 0:2.0.1-1
# From bouncycastle
Requires: eap8-bouncycastle-jmail >= 0:1.76.0-1
Requires: eap8-bouncycastle-pg >= 0:1.76.0-1
Requires: eap8-bouncycastle-pkix >= 0:1.76.0-1
Requires: eap8-bouncycastle-prov >= 0:1.76.0-1
Requires: eap8-bouncycastle-util >= 0:1.76.0-1
#
Requires: eap8-commons-logging-jboss-logging >= 0:1.0.0-1
Requires: eap8-cryptacular >= 0:1.2.5-1
Requires: eap8-eclipse-jgit >= 0:6.6.1.202309021850-1
Requires: eap8-ecj >= 1:3.31.0-1
# From elasticsearch
Requires: eap8-elasticsearch-rest-client >= 0:8.9.0-1
Requires: eap8-elasticsearch-rest-client-sniffer >= 0:8.9.0-1
#
Requires: eap8-elytron-web >= 0:4.0.0-1
Requires: eap8-expressly >= 0:5.0.0-4
# From fastinfoset
Requires: eap8-fastinfoset >= 0:2.1.0-3
#
Requires: eap8-fge-btf >= 0:1.2.0-1
Requires: eap8-fge-msg-simple >= 0:1.1.0-1
Requires: eap8-gnu-getopt >= 0:1.0.13-1
Requires: eap8-gson >= 0:2.8.9-1
Requires: eap8-guava-failureaccess >= 0:1.0.1-3
# From guava-libraries
Requires: eap8-guava >= 0:32.1.1-1
#
Requires: eap8-h2database >= 0:2.1.214-1
Requires: eap8-hal-console >= 0:3.6.17-1
Requires: eap8-hibernate-commons-annotations >= 0:6.0.6-1
# From hibernate-search
Requires: eap8-hibernate-search-backend-elasticsearch >= 0:6.2.1-1
Requires: eap8-hibernate-search-backend-lucene >= 0:6.2.1-1
Requires: eap8-hibernate-search-engine >= 0:6.2.1-1
Requires: eap8-hibernate-search-mapper-orm-orm6 >= 0:6.2.1-1
Requires: eap8-hibernate-search-mapper-pojo-base >= 0:6.2.1-1
Requires: eap8-hibernate-search-util-common >= 0:6.2.1-1
#
# From hibernate-validator
Requires: eap8-hibernate-validator >= 0:8.0.0-3
Requires: eap8-hibernate-validator-cdi >= 0:8.0.0-3
#
# From hibernate
Requires: eap8-hibernate-core >= 0:6.2.13-1
Requires: eap8-hibernate-envers >= 0:6.2.13-1
#
# From hornetq
Requires: eap8-hornetq-commons >= 0:2.4.9-3
Requires: eap8-hornetq-core-client >= 0:2.4.9-3
Requires: eap8-hornetq-jakarta-client >= 0:2.4.9-3
#
Requires: eap8-hppc >= 0:0.8.1-1
Requires: eap8-httpcomponents-asyncclient >= 0:4.1.5-1
Requires: eap8-httpcomponents-client >= 0:4.5.14-1
Requires: eap8-httpcomponents-core >= 0:4.4.16-1
# From infinispan
Requires: eap8-infinispan-cachestore-jdbc-jakarta >= 0:14.0.17-1
Requires: eap8-infinispan-cachestore-jdbc-common-jakarta >= 0:14.0.17-1
Requires: eap8-infinispan-cachestore-remote >= 0:14.0.17-1
Requires: eap8-infinispan-cdi-common-jakarta >= 0:14.0.17-1
Requires: eap8-infinispan-cdi-embedded-jakarta >= 0:14.0.17-1
Requires: eap8-infinispan-cdi-remote-jakarta >= 0:14.0.17-1
Requires: eap8-infinispan-client-hotrod-jakarta >= 0:14.0.17-1
Requires: eap8-infinispan-clustered-counter >= 0:14.0.17-1
Requires: eap8-infinispan-clustered-lock >= 0:14.0.17-1
Requires: eap8-infinispan-commons-jakarta >= 0:14.0.17-1
Requires: eap8-infinispan-component-annotations >= 0:14.0.17-1
Requires: eap8-infinispan-core-jakarta >= 0:14.0.17-1
Requires: eap8-infinispan-hibernate-cache-commons >= 0:14.0.17-1
Requires: eap8-infinispan-hibernate-cache-spi >= 0:14.0.17-1
Requires: eap8-infinispan-hibernate-cache-v62 >= 0:14.0.17-1
Requires: eap8-infinispan-query >= 0:14.0.17-1
Requires: eap8-infinispan-query-core >= 0:14.0.17-1
Requires: eap8-infinispan-query-dsl >= 0:14.0.17-1
Requires: eap8-infinispan-objectfilter >= 0:14.0.17-1
Requires: eap8-infinispan-remote-query-client >= 0:14.0.17-1
#
Requires: eap8-insights-java-client >= 0:1.0.9-2
Requires: eap8-installation-manager-api >= 0:1.0.2-1
# From ironjacamar
Requires: eap8-ironjacamar-common-api >= 0:3.0.2-2
Requires: eap8-ironjacamar-common-impl >= 0:3.0.2-2
Requires: eap8-ironjacamar-common-spi >= 0:3.0.2-2
Requires: eap8-ironjacamar-core-api >= 0:3.0.2-2
Requires: eap8-ironjacamar-core-impl >= 0:3.0.2-2
Requires: eap8-ironjacamar-deployers-common >= 0:3.0.2-2
Requires: eap8-ironjacamar-jdbc >= 0:3.0.2-2
Requires: eap8-ironjacamar-validator >= 0:3.0.2-2
#
Requires: eap8-jackson-annotations >= 0:2.15.2-1
# From jackson-dataformats-binary
Requires: eap8-jackson-dataformat-cbor >= 0:2.15.2-1
#
Requires: eap8-jackson-core >= 0:2.15.2-1
Requires: eap8-jackson-coreutils >= 0:1.8.0-1
Requires: eap8-jackson-databind >= 0:2.15.2-1
# From jackson-modules-java8
Requires: eap8-jackson-datatype-jsr310 >= 0:2.15.2-1
Requires: eap8-jackson-datatype-jdk8 >= 0:2.15.2-1
#
# From jackson-modules-base
Requires: eap8-jackson-module-jakarta-xmlbind-annotations >= 0:2.15.2-1
#
# From jackson-jaxrs-providers
Requires: eap8-jackson-jaxrs-base >= 0:2.15.2-1
Requires: eap8-jackson-jaxrs-json-provider >= 0:2.15.2-1
#
Requires: eap8-jandex >= 0:3.0.6-1
Requires: eap8-jansi >= 0:1.18.0-1
Requires: eap8-jakarta-activation >= 0:2.1.2-1
Requires: eap8-jakarta-annotation-api >= 0:2.1.1-2
Requires: eap8-jakarta-authorization >= 0:3.0.3-1
Requires: eap8-jakarta-authorization-api >= 0:2.1.0-2
Requires: eap8-jakarta-authentication >= 0:3.0.3-1
Requires: eap8-jakarta-authentication-api >= 0:3.0.0-2
Requires: eap8-jakarta-batch-api >= 0:2.1.1-1
Requires: eap8-jakarta-ejb-api >= 0:4.0.1-1
Requires: eap8-jakarta-enterprise-concurrent >= 0:3.0.0-3
Requires: eap8-jakarta-enterprise-concurrent-api >= 0:3.0.2-1
# From jakarta-enterprise-lang-model
Requires: eap8-jakarta-enterprise-lang-model >= 0:4.0.1-1
Requires: eap8-jakarta-enterprise-cdi-api >= 0:4.0.1-1
#
Requires: eap8-jakarta-interceptor-api >= 0:2.1.0-2
Requires: eap8-jakarta-jms-api >= 0:3.1.0-2
Requires: eap8-jakarta-json >= 0:1.1.6-2
Requires: eap8-jakarta-json-api >= 0:2.1.2-1
Requires: eap8-jakarta-mail >= 0:2.1.2-1
Requires: eap8-jakarta-resource-api >= 0:2.1.0-1
Requires: eap8-jakarta-security-enterprise-api >= 0:3.0.0-1
Requires: eap8-jakarta-servlet-api >= 0:6.0.0-2
Requires: eap8-jakarta-servlet-jsp-api >= 0:3.1.0-2
# From jakarta-servlet-jsp-jstl-api
Requires: eap8-jakarta-servlet-jsp-jstl >= 0:3.0.0-4
Requires: eap8-jakarta-servlet-jsp-jstl-api >= 0:3.0.0-4
#
Requires: eap8-jakarta-transaction-api >= 0:2.0.1-1
Requires: eap8-jakarta-validation-api >= 0:3.0.2-1
# From jakarta-websocket
Requires: eap8-jakarta-websocket-api >= 0:2.1.0-4
Requires: eap8-jakarta-websocket-client-api >= 0:2.1.0-4
#
Requires: eap8-jakarta-ws-rs-api >= 0:3.1.0-2
Requires: eap8-jakarta-xml-bind-api >= 0:4.0.0-1
Requires: eap8-jasypt >= 0:1.9.3-1
Requires: eap8-java-classmate >= 0:1.5.1-1
Requires: eap8-javaewah >= 0:1.1.13-1
Requires: eap8-javaee-jpa-spec >= 0:3.1.0-1
# From javaee-security-soteria
Requires: eap8-javaee-security-soteria-enterprise >= 0:3.0.0-2
#
# From jaxb
Requires: eap8-codemodel >= 0:4.0.1-2
Requires: eap8-rngom >= 0:4.0.1-2
Requires: eap8-txw2 >= 0:4.0.1-2
Requires: eap8-jaxb-core >= 0:4.0.1-2
Requires: eap8-jaxb-jxc >= 0:4.0.1-2
Requires: eap8-jaxb-xjc >= 0:4.0.1-2
Requires: eap8-jaxb-runtime >= 0:4.0.1-2
Requires: eap8-relaxng-datatype >= 0:4.0.1-2
Requires: eap8-xsom >= 0:4.0.1-2
#
Requires: eap8-jaxbintros >= 0:2.0.1-1
# From jberet
Requires: eap8-jberet-core >= 0:2.1.1-3
#
# From jctools
Requires: eap8-jctools-core >= 0:2.1.2-1
#
Requires: eap8-jboss-aesh >= 0:2.4.0-1
Requires: eap8-jboss-cert-helper >= 0:1.0.9-1
Requires: eap8-jboss-classfilewriter >= 0:1.3.0-1
Requires: eap8-jboss-common-beans >= 0:2.0.1-1
Requires: eap8-jboss-dmr >= 0:1.6.1-1
Requires: eap8-jboss-ejb-client >= 0:5.0.5-1
Requires: eap8-jboss-ejb3-ext-api >= 0:2.3.0-1
Requires: eap8-jboss-el-api_5.0_spec >= 0:4.0.1-1
Requires: eap8-jboss-genericjms >= 0:3.0.0-2
Requires: eap8-jboss-iiop-client >= 0:2.0.1-1
Requires: eap8-jboss-invocation >= 0:2.0.0-1
Requires: eap8-jboss-jakarta-xml-ws-api_4.0_spec >= 0:1.0.0-1
Requires: eap8-jboss-logging >= 0:3.4.3-1
Requires: eap8-jboss-logmanager >= 0:2.1.19-1
# From jboss-marshalling
Requires: eap8-jboss-marshalling >= 0:2.1.3-1
Requires: eap8-jboss-marshalling-river >= 0:2.1.3-1
# From jboss-metadata
Requires: eap8-jboss-metadata-appclient >= 0:16.0.0-2
Requires: eap8-jboss-metadata-common >= 0:16.0.0-2
Requires: eap8-jboss-metadata-ejb >= 0:16.0.0-2
Requires: eap8-jboss-metadata-ear >= 0:16.0.0-2
Requires: eap8-jboss-metadata-web >= 0:16.0.0-2
#
Requires: eap8-jboss-modules >= 0:2.1.0-1
Requires: eap8-jboss-msc >= 0:1.5.1-1
Requires: eap8-jboss-openjdk-orb >= 0:9.0.1-1
Requires: eap8-jboss-remoting >= 0:5.0.27-4
Requires: eap8-jboss-remoting-jmx >= 0:3.0.4-1
Requires: eap8-jboss-saaj-api_3.0_spec >= 0:1.0.0-1
#
Requires: eap8-jboss-stdio >= 0:1.1.0-1
Requires: eap8-jboss-threads >= 0:2.4.0-2
Requires: eap8-jboss-transaction-spi >= 0:8.0.0-1
Requires: eap8-jboss-vfs >= 0:3.3.0-1
# From jboss-weld-api
Requires: eap8-jboss-weld-api-weld-api >= 0:5.0.0-3
Requires: eap8-jboss-weld-api-weld-spi >= 0:5.0.0-3
#
Requires: eap8-jboss-xnio-base >= 0:3.8.12-2
Requires: eap8-jsf-impl >= 0:4.0.4-1
Requires: eap8-jbossws-api >= 0:3.0.0-1
Requires: eap8-jbossws-common >= 0:5.0.0-1
Requires: eap8-jbossws-common-tools >= 0:2.1.0-1
Requires: eap8-jbossws-cxf >= 0:7.0.0-1
Requires: eap8-jbossws-jaxws-undertow-httpspi >= 0:2.0.0-1
Requires: eap8-jbossws-spi >= 0:5.0.0-1
Requires: eap8-jcip-annotations >= 0:1.0.0-1
Requires: eap8-jgroups >= 0:5.2.18-1
Requires: eap8-jgroups-aws >= 0:2.0.1-1
Requires: eap8-jgroups-azure >= 0:2.0.2-1
Requires: eap8-jgroups-kubernetes >= 0:2.0.1-1
Requires: eap8-joda-time >= 0:2.12.1-1
Requires: eap8-jose4j >= 0:0.9.3-1
Requires: eap8-json-patch >= 0:1.9.0-1
Requires: eap8-jsonb-spec >= 0:3.0.0-1
Requires: eap8-jul-to-slf4j-stub >= 0:1.0.1-1
Requires: eap8-log4j >= 0:2.19.0-2
Requires: eap8-log4j2-jboss-logmanager >= 0:1.1.1-1
# From lucene-solr
Requires: eap8-lucene-analyzers-common >= 0:8.11.2-2
Requires: eap8-lucene-core >= 0:8.11.2-2
Requires: eap8-lucene-facet >= 0:8.11.2-2
Requires: eap8-lucene-join >= 0:8.11.2-2
Requires: eap8-lucene-queries >= 0:8.11.2-2
Requires: eap8-lucene-queryparser >= 0:8.11.2-2
#
Requires: eap8-mod_cluster >= 0:2.0.1-1
# From narayana
Requires: eap8-narayana-compensations >= 0:6.0.1-2
Requires: eap8-narayana-jbosstxbridge >= 0:6.0.1-2
Requires: eap8-narayana-jbossxts >= 0:6.0.1-2
Requires: eap8-narayana-jts-idlj >= 0:6.0.1-2
Requires: eap8-narayana-jts-integration >= 0:6.0.1-2
Requires: eap8-narayana-restat-api >= 0:6.0.1-2
Requires: eap8-narayana-restat-bridge >= 0:6.0.1-2
Requires: eap8-narayana-restat-integration >= 0:6.0.1-2
Requires: eap8-narayana-restat-util >= 0:6.0.1-2
#narayana-txframework
#
Requires: eap8-neethi >= 0:3.1.1-3
Requires: eap8-netty-xnio-transport >= 0:0.1.9-1
# From netty
Requires: eap8-netty-buffer >= 0:4.1.100-1
Requires: eap8-netty-codec >= 0:4.1.100-1
Requires: eap8-netty-codec-dns >= 0:4.1.100-1
Requires: eap8-netty-codec-http >= 0:4.1.100-1
Requires: eap8-netty-codec-socks >= 0:4.1.100-1
Requires: eap8-netty-common >= 0:4.1.100-1
Requires: eap8-netty-handler >= 0:4.1.100-1
Requires: eap8-netty-handler-proxy >= 0:4.1.100-1
Requires: eap8-netty-resolver >= 0:4.1.100-1
Requires: eap8-netty-resolver-dns >= 0:4.1.100-1
Requires: eap8-netty-transport >= 0:4.1.100-1
Requires: eap8-netty-transport-classes-epoll >= 0:4.1.100-1
Requires: eap8-netty-transport-native-unix-common >= 0:4.1.100-1
#
Requires: eap8-netty-transport-native-epoll >= 0:4.1.100-4
Requires: eap8-nimbus-jose-jwt >= 0:9.24.4-1
# From objectweb-asm
Requires: eap8-objectweb-asm >= 0:9.4.0-1
Requires: eap8-objectweb-asm-util >= 0:9.4.0-1
#
# From opensaml
Requires: eap8-opensaml-core >= 0:4.2.0-3
Requires: eap8-opensaml-profile-api >= 0:4.2.0-3
Requires: eap8-opensaml-saml-api >= 0:4.2.0-3
Requires: eap8-opensaml-saml-impl >= 0:4.2.0-3
Requires: eap8-opensaml-security-api >= 0:4.2.0-3
Requires: eap8-opensaml-security-impl >= 0:4.2.0-3
Requires: eap8-opensaml-soap-api >= 0:4.2.0-3
Requires: eap8-opensaml-xacml-api >= 0:4.2.0-3
Requires: eap8-opensaml-xacml-impl >= 0:4.2.0-3
Requires: eap8-opensaml-xacml-saml-api >= 0:4.2.0-3
Requires: eap8-opensaml-xacml-saml-impl >= 0:4.2.0-3
Requires: eap8-opensaml-xmlsec-api >= 0:4.2.0-3
Requires: eap8-opensaml-xmlsec-impl >= 0:4.2.0-3
Requires: eap8-parsson >= 0:1.1.5-1
Requires: eap8-protoparser >= 0:4.0.3-1
Requires: eap8-protostream >= 0:4.6.5-1
Requires: eap8-reactivex-rxjava2 >= 0:2.2.21-1
Requires: eap8-reactivex-rxjava >= 0:3.1.6-1
Requires: eap8-reactive-streams >= 0:1.0.4-1
# From resteasy
Requires: eap8-resteasy-atom-provider >= 0:6.2.4-1
Requires: eap8-resteasy-cdi >= 0:6.2.4-1
Requires: eap8-resteasy-client >= 0:6.2.4-1
Requires: eap8-resteasy-client-api >= 0:6.2.4-1
Requires: eap8-resteasy-core >= 0:6.2.4-1
Requires: eap8-resteasy-core-spi >= 0:6.2.4-1
Requires: eap8-resteasy-crypto >= 0:6.2.4-1
Requires: eap8-resteasy-jackson2-provider >= 0:6.2.4-1
Requires: eap8-resteasy-jaxb-provider >= 0:6.2.4-1
Requires: eap8-resteasy-jsapi >= 0:6.2.4-1
Requires: eap8-resteasy-json-binding-provider >= 0:6.2.4-1
Requires: eap8-resteasy-json-p-provider >= 0:6.2.4-1
Requires: eap8-resteasy-multipart-provider >= 0:6.2.4-1
Requires: eap8-resteasy-rxjava2 >= 0:6.2.4-1
Requires: eap8-resteasy-validator-provider >= 0:6.2.4-1
#
# From resteasy-extensions
Requires: eap8-resteasy-tracing-api >= 0:2.0.1-2
#
Requires: eap8-resteasy-spring >= 0:3.0.1-1
Requires: eap8-saaj-impl >= 0:3.0.0-2
Requires: eap8-shibboleth-java-support >= 0:8.0.0-3
Requires: eap8-slf4j-jboss-logmanager >= 0:2.0.1-1
# From slf4j
Requires: eap8-slf4j-api >= 0:2.0.7-2
#
Requires: eap8-snakeyaml >= 0:2.0.0-1
Requires: eap8-stax-ex >= 0:2.1.0-2
Requires: eap8-stax2-api >= 0:4.2.1-1
Requires: eap8-staxmapper >= 0:1.4.0-1
# From sun-istack-commons
Requires: eap8-istack-commons-runtime >= 0:4.1.1-2
Requires: eap8-istack-commons-tools >= 0:4.1.1-2
#
Requires: eap8-undertow >= 0:2.3.10-4
Requires: eap8-undertow-jastow >= 0:2.2.6-1
# From vdx
Requires: eap8-vdx-core >= 0:1.1.6-2
Requires: eap8-vdx-wildfly >= 0:1.1.6-2
# From velocity
Requires: eap8-velocity-engine-core >= 0:2.3.0-1
#
# From weld-core
Requires: eap8-weld-core-jsf >= 0:5.1.2-1
Requires: eap8-weld-core-impl >= 0:5.1.2-1
Requires: eap8-weld-ejb >= 0:5.1.2-1
Requires: eap8-weld-lite-extension-translator >= 0:5.1.2-1
Requires: eap8-weld-jta >= 0:5.1.2-1
Requires: eap8-weld-web >= 0:5.1.2-1
#
Requires: eap8-wildfly-client-config >= 0:1.0.1-3
Requires: eap8-wildfly-common >= 0:1.6.0-3
# From wildfly-discovery
Requires: eap8-wildfly-discovery-client >= 0:1.2.1-3
#
# From wildfly-elytron-ee
Requires: eap8-jakarta-authentication >= 0:3.0.3-1
Requires: eap8-jakarta-authorization >= 0:3.0.3-1
Requires: eap8-jakarta-client-resteasy >= 0:3.0.3-1
Requires: eap8-jakarta-client-webservices >= 0:3.0.3-1
Requires: eap8-jakarta-security >= 0:3.0.3-1
#
# From wildfly-elytron
Requires: eap8-wildfly-elytron >= 0:2.2.2-1
Requires: eap8-wildfly-elytron-tool >= 0:2.2.2-1
#
# From wildfly-http-client
Requires: eap8-wildfly-http-client-common >= 0:2.0.6-1
Requires: eap8-wildfly-http-ejb-client >= 0:2.0.6-1
Requires: eap8-wildfly-http-naming-client >= 0:2.0.6-1
Requires: eap8-wildfly-http-transaction-client >= 0:2.0.6-1
#
Requires: eap8-wildfly-naming-client >= 0:2.0.1-1
Requires: eap8-wildfly-openssl-linux >= 0:2.2.2-1
# From wildfly-openssl
Requires: eap8-wildfly-openssl-java >= 0:2.2.5-1
#
Requires: eap8-wildfly-transaction-client >= 0:3.0.2-1
Requires: eap8-woodstox-core >= 0:6.4.0-1
Requires: eap8-ws-commons-XmlSchema >= 0:2.3.0-1
Requires: eap8-wsdl4j >= 0:1.6.3-1
# From wss4j
Requires: eap8-wss4j-ws-security-common >= 0:3.0.0-1
Requires: eap8-wss4j-bindings >= 0:3.0.0-1
Requires: eap8-wss4j-ws-security-stax >= 0:3.0.0-1
Requires: eap8-wss4j-ws-security-dom >= 0:3.0.0-1
Requires: eap8-wss4j-ws-security-policy-stax >= 0:3.0.0-1
Requires: eap8-wss4j-policy >= 0:3.0.0-1
#
# From xml-commons-resolver
Requires: eap8-xml-resolver >= 0:1.2.0-2
#
Requires: eap8-xml-security >= 0:3.0.3-1
Requires: eap8-yasson >= 0:3.0.2-1

%description modules
Wildfly Base modules

%if %with javadoc
%package javadocs
Summary:        Javadocs for Red Hat JBoss Enterprise Application Platform
Group:          Development/Java

BuildRequires:  unzip

%description javadocs
%{summary}.
%endif

%package java-jdk11
Group: Development/Java

Summary: Red Hat JBoss Enterprise Application Platform on JDK 11
Requires:         (java-11 or java-11-headless)
Provides:  %{?scl_prefix}wildfly-java = %{epoch}:%{version}-%{release}

%description java-jdk11
EAP on JDK  11

%package java-jdk17
Group: Development/Java

Summary: Red Hat JBoss Enterprise Application Platform on JDK 17
Requires:         (java-17 or java-17-headless)
Provides:  %{?scl_prefix}wildfly-java = %{epoch}:%{version}-%{release}

%description java-jdk17
EAP on JDK  17

%prep
%{?scl:scl enable %{scl} - << \EOF}
%setup -q -c -T
%if %with pncBuild
unzip %{_sourcedir}/%{pkg_name}-ee-dist-%{namedversion}.zip
%else
unzip %{_sourcedir}/jboss-eap-%{namedversion}-server.zip
%endif
%{?scl:EOF}

%build
%{?scl:scl enable %{scl} - << \EOF}
# Built in MEAD
%{?scl:EOF}

%install
%{?scl:scl enable %{scl} - << \EOF}
rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{pkg_name}
install -d -m 755 $RPM_BUILD_ROOT%{homedir}
install -d -m 755 $RPM_BUILD_ROOT%{confdir}
install -d -m 755 $RPM_BUILD_ROOT%{rundir}
#install -d -m 770 $RPM_BUILD_ROOT%{#cache#dir}/auth
install -d -m 755 $RPM_BUILD_ROOT%{_unitdir}
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{pkg_name}

for mode in standalone domain; do
  install -d -m 755 $RPM_BUILD_ROOT%{homedir}/${mode}
  install -d -m 775 $RPM_BUILD_ROOT%{libdir}/${mode}/data
  install -d -m 755 $RPM_BUILD_ROOT%{cachedir}/${mode}
  install -d -m 775 $RPM_BUILD_ROOT%{logdir}/${mode}
done

%if %with migration
install -d -m 755 $RPM_BUILD_ROOT%{homedir}/migration
%endif
install -d -m 775 $RPM_BUILD_ROOT%{libdir}/domain/servers
install -d -m 775 $RPM_BUILD_ROOT%{libdir}/domain/data/content
install -d -m 775 $RPM_BUILD_ROOT%{libdir}/standalone/data/content

%if %with pncBuild
pushd jboss-eap-8.0
%else
pushd jboss-eap-%{namedversion}
%endif

%if 0
  # Don't ship contrib, not meant for rpm
  rm -r docs/contrib
%endif

  # Don't ship patching, it is only for ZIPs
  rm -r modules/system/layers/base/org/jboss/as/patching

  # Don't include prospero, it is only for ZIPs
  rm -r modules/system/layers/base/org/jboss/prospero
  rm -r modules/system/layers/base/org/jboss/prospero-dep
  rm -fr .galleon .installation
  rm -r bin/installation-manager.sh bin/installation-manager.properties
  rm -r bin/jboss-eap-installation-manager.sh bin/jboss-eap-installation-manager-logging.properties
  rm -r docs/licenses/jboss-eap-installation-manager-feature-pack-licenses.xml \
    docs/licenses/jboss-eap-installation-manager-feature-pack-licenses.html

  # Don't ship Windows or MacOS openssl native code
  # s390x native not for bare metal install
  rm -r modules/system/layers/base/org/wildfly/openssl/main/lib/linux-rhel8-x86_64
  rm -r modules/system/layers/base/org/wildfly/openssl/main/lib/linux-rhel9-x86_64
  rm -r modules/system/layers/base/org/wildfly/openssl/main/lib/linux-ppc64le
  rm -r modules/system/layers/base/org/wildfly/openssl/main/lib/linux-s390x
  rm -r modules/system/layers/base/org/wildfly/openssl/main/lib/win-x86_64

  # We don't need Windows files
  find bin/ -type f -name "*.bat" -delete
  find bin/ -type f -name "*.exe" -delete
  find bin/ -type f -name "*.ps1" -delete

  # We don't need the community init scripts
  rm -rf bin/init.d

%if 0%{?scl:1}
  install -d -m 755 $RPM_BUILD_ROOT%{_scl_scripts}
  sclvar="`echo %{scl_name} | sed 's/-/_/' | tr [a-z] [A-Z]`_SCLS_ENABLED=\"%{scl_name}\""
  echo $sclvar > $RPM_BUILD_ROOT%{_scl_scripts}/service-environment
%endif
  # Install systemd files for wildlfy
  install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_unitdir}/%{standaloneService}.service
  install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{confdir}/%{standaloneService}.conf
  # Install systemd files for wildlfy-domain
  install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_unitdir}/%{domainService}.service
  install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{confdir}/%{domainService}.conf
  # Update service script and conf file for the corresponding service
  sed -i -e 's:@@@WILDFLY_MODE@@@:standalone:' -e 's:@@@WILDFLY_SERVICE@@@:%{standaloneService}:' -e 's:@@@WILDFLY_HOME@@@:%{homedir}:' -e 's:@@@WILDFLY_LOGDIR@@@:%{logdir}:' -e '/Define host configuration to start, eg. host.xml/,+2d' $RPM_BUILD_ROOT%{_unitdir}/%{standaloneService}.service $RPM_BUILD_ROOT%{confdir}/%{standaloneService}.conf
  sed -i -e 's:$WILDFLY_HOST_CONFIG::' -e '/WILDFLY_HOST_CONFIG=/d'  $RPM_BUILD_ROOT%{_unitdir}/%{standaloneService}.service
  sed -i -e 's:@@@WILDFLY_MODE@@@:domain:' -e 's:@@@WILDFLY_SERVICE@@@:%{domainService}:' -e 's:@@@WILDFLY_HOME@@@:%{homedir}:' -e 's:@@@WILDFLY_LOGDIR@@@:%{logdir}:' $RPM_BUILD_ROOT%{_unitdir}/%{domainService}.service $RPM_BUILD_ROOT%{confdir}/%{domainService}.conf
  # Install the launch script
  install -d -m 755 bin/
  install -m 755 %{SOURCE8} bin/launch.sh
  # Update scripts to have variables set to the right place by default
  sed -i -e 's:@@@WILDFLY_HOME@@@:%{homedir}:' bin/launch.sh $RPM_BUILD_ROOT%{_unitdir}/*.service
  sed -i -e 's:@@@WILDFLY_RUNDIR@@@:%{rundir}:' -e 's:@@@WILDFLY_CONFDIR@@@:%{confdir}:' -e 's:@@@WILDFLY_LOGDIR@@@:%{logdir}:' $RPM_BUILD_ROOT%{_unitdir}/*.service
  sed -i -e 's:@@@WILDFLY_MODE@@@:standalone:' $RPM_BUILD_ROOT%{_unitdir}/%{standaloneService}.service
  sed -i -e 's:@@@WILDFLY_MODE@@@:domain:' $RPM_BUILD_ROOT%{_unitdir}/%{domainService}.service
  %if 0%{?scl:1}
  # Make it SCL enabled in SCL-enabled buildroot 
  sclcommand="/usr/bin/scl enable \$`echo %{scl_name} | sed 's/-/_/' | tr [a-z] [A-Z]`_SCLS_ENABLED --"
  # Update service scripts to enable SCL
  sed -i -e 's:@@@SCLSCRIPTSDIR@@@:%{_scl_scripts}:' -e "s:ExecStart=:ExecStart=$sclcommand :"  $RPM_BUILD_ROOT%{_unitdir}/*.service
  %else
  sed -i -e '/@@@SCLSCRIPTSDIR@@@/d' $RPM_BUILD_ROOT%{_unitdir}/*.service
  %endif

  # Prepare directory for properties files
  #install -d -m 755 docs/examples/properties

  # Copy logging.properties and mgmt-users.properties so we can reuse it later in wildfly-cp script
  #cp standalone/configuration/logging.properties docs/examples/properties/
  #cp standalone/configuration/mgmt-users.properties docs/examples/properties/
  # Lower a bit the permissions, so ordinary user can copy it. It's an example file!
  #chmod 644 docs/examples/properties/mgmt-users.properties

  # standalone
  mv standalone/configuration $RPM_BUILD_ROOT%{confdir}/standalone
  mv standalone/deployments $RPM_BUILD_ROOT%{libdir}/standalone/deployments
  mv standalone/lib $RPM_BUILD_ROOT%{libdir}/standalone/lib
  mv standalone/tmp $RPM_BUILD_ROOT%{cachedir}/standalone/tmp

  # domain
  mv domain/configuration $RPM_BUILD_ROOT%{confdir}/domain
  mv domain/tmp $RPM_BUILD_ROOT%{cachedir}/domain/tmp

  # appclient
  mv appclient/configuration $RPM_BUILD_ROOT%{confdir}/appclient

  mv bin/jboss-cli.xml $RPM_BUILD_ROOT%{confdir}

%if %with migration
  # migration
  mv migration/configuration $RPM_BUILD_ROOT%{confdir}/migration
  cp migration/README.md $RPM_BUILD_ROOT%{homedir}/migration/
%endif

%if 0
  # galleon
  mv .galleon $RPM_BUILD_ROOT%{confdir}/
  mv .installation $RPM_BUILD_ROOT%{confdir}/
%endif

  # docs
  mv docs/* $RPM_BUILD_ROOT%{_docdir}/%{pkg_name}
  cp LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{pkg_name}/LICENSE.txt

  # fix the encoding
  find $RPM_BUILD_ROOT%{_docdir}/%{pkg_name} -name "*.dtd" -o -name "*.xsd" -o -name "*.xml" -exec sed -i 's/\r$//' {} \;

  # Remove copyright.txt and README.txt: https://issues.jboss.org/browse/JBEAP-370
  #mv copyright.txt README.txt LICENSE.txt welcome-content docs bin appclient modules $RPM_BUILD_ROOT%{homedir}
  mv  JBossEULA.txt LICENSE.txt version.txt welcome-content docs bin appclient modules .well-known $RPM_BUILD_ROOT%{homedir}
popd

chmod 775 $RPM_BUILD_ROOT%{libdir}/standalone/deployments

pushd $RPM_BUILD_ROOT%{homedir}

  # Standalone
  ln -s %{confdir}/standalone standalone/configuration
  ln -s %{libdir}/standalone/deployments standalone/deployments
  ln -s %{libdir}/standalone/data standalone/data
  ln -s %{libdir}/standalone/lib standalone/lib
  ln -s %{logdir}/standalone standalone/log
  ln -s %{cachedir}/standalone/tmp standalone/tmp

  # Domain
  ln -s %{confdir}/domain domain/configuration
  ln -s %{libdir}/domain/data domain/data
  ln -s %{libdir}/domain/servers domain/servers
  ln -s %{logdir}/domain domain/log
  ln -s %{cachedir}/domain/tmp domain/tmp

  # appclient
  ln -s %{confdir}/appclient appclient/configuration

%if %with migration
  # migration
  ln -s %{confdir}/migration migration/configuration
%endif

%if 0
  # galleon
  ln -s %{confdir}/.galleon .galleon
  ln -s %{confdir}/.installation .installation
%endif

  # Auth dir
  # This is actually under ,config./tmp/auth
  #ln -s %{###cache###dir}/auth auth

  # docs
  ln -s %{_docdir}/%{pkg_name}/examples docs/examples
  ln -s %{_docdir}/%{pkg_name}/licenses docs/licenses
  ln -s %{_docdir}/%{pkg_name}/schema docs/schema

  # The modules JAR that loads the rest
  ln -s $(build-classpath jboss-modules) jboss-modules.jar

  # Install client JARs in javadir and Create symlinks for them
  pushd bin/client
    mv jboss-cli-client.jar $RPM_BUILD_ROOT%{_javadir}/%{pkg_name}/
    mv jboss-client.jar $RPM_BUILD_ROOT%{_javadir}/%{pkg_name}/
    ln -s %{_javadir}/%{pkg_name}/jboss-cli-client.jar jboss-cli-client.jar
    ln -s %{_javadir}/%{pkg_name}/jboss-client.jar jboss-client.jar
  popd

  # Create symlink for wildfly-elytron-tools
  pushd bin
### FIXME: not linking the jar as another jar with the same name has been added to the zip
###        and confusing our script, linking both to that.
###     rm -r wildfly-elytron-tool*.jar
###     ln -s $(build-classpath wildfly-elytron-tool) wildfly-elytron-tool.jar
	mv wildfly-elytron-tool*.jar wildfly-elytron-tool.jar
  popd

  # Point to the CLI config file
  ln -s %{confdir}/jboss-cli.xml bin/jboss-cli.xml

  # Create symlinks to jars in modules

echo "##############################"
echo "###Processing regular JARs ###"
echo "##############################"

pushd modules/system/layers/base

# We build these indeces inside the apache-cxf JARs
# We also need to remove them from org/apache/cxf/impl/main/module.xml as they are mentioned there
# Remove all jandex jars from modules directory - we do not ship those
find . -type f -name "*-jandex.jar" -exec rm -v {} \;
# We need to also remove those lines from the module.xml file
sed -i '/.*-jandex.jar/d' org/apache/cxf/impl/main/module.xml

# XXX: this has a classifier that the script cannot handle
pushd com/google/guava/main/
jar=$(echo guava-*jre*.jar)
newjar=$(echo $jar | sed -e 's|^\(guava\)\(-.*\)\(.jre\)\(-.*\)\(.jar\)$|\1\5|;')
mv $jar $newjar
sed -i "s/$jar/$newjar/" module.xml
popd

# XXX: this has a classifier that the script cannot handle
pushd io/netty/netty-transport-native-unix-common/main/
jar=$(echo netty-transport-native-unix-common-*-linux-x86_64*.jar)
newjar=$(echo $jar | sed -e 's|^\(netty-transport-native-unix-common\)\(-.*\)\(-linux-x86_64.*\.jar\)$|\1\3|;')
mv $jar $newjar
sed -i "s/$jar/$newjar/" module.xml
popd

# XXX: this has a classifier that the script cannot handle
pushd org/jboss/as/webservices/main
jar=$(echo jbossws-cxf-resources-*-wildfly*.jar)
newjar=$(echo $jar | sed -e 's|^\(jbossws-cxf-resources\)\(-.*\)\(-wildfly.*\.jar\)$|\1\3|;')
mv $jar $newjar
sed -i "s/$jar/$newjar/" module.xml
popd

# 2 rxjava jars in zip renmaing the 2.2 one to the rxjava2
pushd io/reactivex/rxjava2/rxjava/main
jar=$(echo rxjava-2.*.jar)
newjar=$(echo $jar | sed -e 's|rxjava-2.|rxjava2-2.|')
mv $jar $newjar
sed -i "s/$jar/$newjar/" module.xml
popd

# Weird version not handled by the script
pushd org/eclipse/jgit/main
for jar in `ls org.eclipse.jgit*.jar`; do
   newjar=$(echo $jar | sed -e 's|-r-redhat|-redhat|')
   mv $jar $newjar
   sed -i "s/$jar/$newjar/" module.xml
done
popd

# Remove all .so libraries from modules directory so this package remain noarch
# The natives will be installed by the native dependency package (optional?)
find . -type f -name "*.so" -exec rm -v {} \;
# JBEAP-11922 and JBEAP-11898 - Remove the directories for native things
# (will be added by optional dependencies)
rm -rv org/wildfly/openssl/main/lib/linux-rhel6-i386
rm -rv org/wildfly/openssl/main/lib/solaris-x86_64
rm -rv org/wildfly/openssl/main/lib/solaris-sparcv9
rm -rv org/wildfly/openssl/main/lib/win-i386
rm -rv org/wildfly/openssl/main/lib/win-x86_64
rm -rv org/wildfly/openssl/main/lib/linux-rhel6-x86_64
rm -rv org/wildfly/openssl/main/lib/linux-rhel7-x86_64
rm -rv org/wildfly/openssl/main/lib/linux-rhel8-x86_64
rm -rv org/wildfly/openssl/main/lib/linux-rhel9-x86_64
rm -rv org/wildfly/openssl/main/lib/linux-s390x
rm -rv org/wildfly/openssl/main/lib/linux-ppc64le
rm -rv org/apache/activemq/artemis/journal/main/lib/linux-i686
rm -rv org/apache/activemq/artemis/journal/main/lib/linux-x86_64

# Remove versions from JAR names
cp %{SOURCE5} nvr2name.pl
chmod a+x nvr2name.pl

cp %{SOURCE6} mvjar.sh
chmod a+x mvjar.sh

# Note that some JARs are external to wildfly even if the name starts with wildfly
# IMPORTANT: update the list ~line 429 as well
find . -type f -name "*.jar" -not -name "wildfly-*.jar" -not -name "jipijapa-*.jar" \
               -not -name "jboss-insights-*.jar" \
               -o \( \
               -name "wildfly-elytron-[a-h,j-n,p-z]*.jar" \
               -o -name "wildfly-common-*.jar" \
               -o -name "wildfly-client-config-*.jar" \
               -o -name "wildfly-discovery-client-*.jar" \
               -o -name "wildfly-http-client-common-*.jar" \
               -o -name "wildfly-http-ejb-client-*.jar" \
               -o -name "wildfly-http-naming-client-*.jar" \
               -o -name "wildfly-http-transaction-client-*.jar" \
               -o -name "wildfly-naming-client-*.jar" \
               -o -name "wildfly-openssl-java-*.jar" \
               -o -name "wildfly-transaction-client-*.jar" \
               \) -exec ./mvjar.sh '{}' \;
# FIXME: the above find command is skipping many external JARs -- oddly enough, the same condition works perfectly a few lines down
# some duplicate or jars from older version in CD13
find . -type f -name "*.jar" -not -name "wildfly-*.jar" -not -name "jipijapa-*.jar" \
               -not -name "jboss-insights-*.jar" \
               -exec ./mvjar.sh '{}' \;
# FIXME: Some weird SP1 in the Beta32 version of this requires a second pass
#find . -type f \( -name "wildfly-elytron-[0-9]*.jar" \) -exec ./mvjar.sh '{}' \;
# These non-OSGi-compliant ones we cannot handle
%if 0
pushd org/glassfish/javax/el/main
mv javax.el-impl-*.jar javax.el-impl.jar
sed -i "s/javax\.el-impl-.*\.jar/javax.el-impl.jar/" module.xml
popd
%endif
# Do it a second time to get rid of the jbossorg suffix ones
find . -type f -name "*jbossorg.jar" -exec ./mvjar.sh '{}' \;
# Do it a second time to get rid of the redhat suffix ones
# NOW DONE IN mvjar.sh
#find . -type f -name "*redhat.jar" -not -name "wildfly-*.jar" -not -name "jipijapa-*.jar" -exec ./mvjar.sh '{}' \;

# Clean-up, we have finished using these scripts we've added
rm -f nvr2name.pl
rm -f mvjar.sh

# Loop over all remaining ?ar files in the tree
# Note that some JARs are external to wildfly even if the name starts with wildfly
# IMPORTANT: update the list ~ line 390 as well
for lib in $(find . -type f -name "*.jar" -not -name "wildfly-*.jar" -not -name "jipijapa-*.jar" \
               -not -name "jboss-insights-*.jar" \
               -o \( \
               -name "wildfly-elytron-[a-h,j-n,p-z]*.jar" \
               -o -name "wildfly-common.jar" \
               -o -name "wildfly-client-config.jar" \
               -o -name "wildfly-discovery-client.jar" \
               -o -name "wildfly-http-client-common.jar" \
               -o -name "wildfly-http-ejb-client.jar" \
               -o -name "wildfly-http-naming-client.jar" \
               -o -name "wildfly-http-transaction-client.jar" \
               -o -name "wildfly-naming-client.jar" \
               -o -name "wildfly-openssl-java.jar" \
               -o -name "wildfly-transaction-client.jar" \
               \) | sort); do

  libdir=$(dirname $lib)
  libdir=${libdir#${PWD}/}
  libname=$(basename $lib)
  libshort=${libname%.?ar}

  echo "###Processing module: " $libdir

  echo "libshort: " $libshort " libdir: " $libdir " libname: " $libname

  # First try and see if a 1-to-1 mapping exists
  # non-main modules must come from a jarmap so we can point elsewhere
  jarfile=$(build-classpath $libshort) || :
  if [ -r "$jarfile" ] &&
     [[ $libdir == *main ]]; then

    # We found it so we can symlink
    pushd $libdir
    rm $libname
    ln -s $jarfile $libname
    popd
    echo "###Symlinked " $libname " to " $jarfile

  else

    # A direct map didn't do it, so check the jarmap
    # But JARs not in 'main' need special handling, a different PK
    if [[ $libdir == *main ]]; then

      # Check the jarmap with the jarname as the key as usual
      jarname=$(grep -E "^$libname " %{SOURCE7} | awk '{print $2}' || :)

    else

      # Check the jarmap with the version/jarname as the key instead
      prefix=$(basename $libdir)
      jarname=$(grep -E "^$prefix/$libname " %{SOURCE7} | awk '{print $2}' || :)

    fi

    if [ ! -z "$jarname" ]; then

      # We have a jarmap entry, try it
      # Check if map points to a installed file
      jarfile=$(build-classpath $jarname) || :
      if [ -r "$jarfile" ]; then

        # Good, the map helped, we can link
        pushd $libdir
        rm $libname
        ln -s $jarfile $libname
        popd
        echo "###Symlinked using jarmap " $libname " to " $jarfile

      else

        # This is bad, a bad jarmap or the BuildRequires is missing
        echo "###Bad jarmap or missing BR: " $libdir/$libname

      fi

    else

      # We don't have a jarmap either, cannot link this, something is fishy
      echo "###Unmapped dependency: " $libdir/$libname
    fi
  fi

done


    # Remove native libs that are shipped with the source distribution...
    #rm -rf org/hornetq/main/lib/*

    # Prepare directories for native libs
    # With the move to Artemis in Wildfly 10 we no longer need HornetQ natives
    # The directories for Artemis natives are installed by the artemis-native package
    #install -d -m 755 org/hornetq/main/lib/linux-{x86_64,i686,arm}

    # Jandex index for cxf-rt-ws-security
    #ln -s $(build-classpath cxf/cxf-rt-ws-security-jandex) org/apache/cxf/impl/main/cxf-rt-ws-security-jandex.jar

    # Jandex indexes for resteasy
    #for m in atom-provider crypto cdi jackson-provider jackson2-provider jaxb-provider jaxrs jettison-provider jsapi multipart-provider yaml-provider validator-provider-11; do
    #  ln -s $(build-classpath resteasy/resteasy-${m}-jandex) org/jboss/resteasy/resteasy-${m}/main/resteasy-${m}-jandex.jar
    #done

    # RestEasy Spring integration special case
    #install -d -m 755 org/jboss/resteasy/resteasy-spring/main/bundled/
    #ln -s %{_javadir}/resteasy/resteasy-spring.jar org/jboss/resteasy/resteasy-spring/main/bundled/resteasy-spring.jar

    # Not caught by xmvn-subst
    #ln -s $(build-classpath txw2) com/sun/xml/bind/main/txw2.jar
    #ln -s $(build-classpath istack-commons-runtime) com/sun/xml/bind/main/istack-commons-runtime.jar
    #ln -s $(build-classpath xml-commons-apis) org/apache/xerces/main/xml-commons-apis.jar
    #ln -s $(build-classpath jbossws-cxf/jbossws-cxf-resources) org/jboss/as/webservices/main/jbossws-cxf-resources.jar

    # Incorrect symlinks made by xmvn
    # https://bugzilla.redhat.com/show_bug.cgi?id=1007687
    #ln -s $(build-classpath narayana/narayana-jts-jacorb) org/jboss/jts/main/narayana-jts-jacorb.jar
  popd

  # Makes sure we replaced all jars and no jar files are left
  missed_jars=$(find -type f -name "*.jar" -not -name "wildfly-*.jar" -not -name "jipijapa-*.jar" \
               -not -name "jboss-insights-*.jar")

  if [ -n "$missed_jars" ]; then
    #echo "Not all jars were replaced, failing the build!"
    echo "####Not all jars were replaced, here are the non-symlinked ones:"
    echo $missed_jars
    echo "####end of list of unlinked JARs"
    #exit 1
  fi
popd


pushd $RPM_BUILD_ROOT%{_bindir}
  # jboss-cli
  ln -s %{bindir}/jboss-cli.sh jboss-cli
popd
%{?scl:EOF}

%if %with javadoc
# javadoc
# Note that we install under wildfly, not wildfly-javadocs
%{__mkdir_p} %{buildroot}%{_javadocdir}/wildfly-%{namedversion}
unzip -q %{_sourcedir}/wildfly-ee-aggregate-javadocs-%{namedversion}-javadocs.jar -d %{buildroot}%{_javadocdir}/wildfly-%{namedversion}
%{__ln_s} wildfly-%{namedversion} %{buildroot}%{_javadocdir}/wildfly
%endif

%clean
%{?scl:scl enable %{scl} - << \EOF}
rm -rf %{buildroot}
%{?scl:EOF}

%pre
# Add jboss user and group
getent group jboss >/dev/null || groupadd -f -g 185 -r jboss
if ! getent passwd jboss >/dev/null ; then
    if ! getent passwd 185 >/dev/null ; then
      useradd -r -u 185 -g jboss -d %{homedir} -s /sbin/nologin -c "JBoss" jboss
    else
      useradd -r -g jboss -d %{homedir} -s /sbin/nologin -c "JBoss" jboss
    fi
fi
exit 0

%post
  %systemd_post %{standaloneService}.service
  %systemd_post %{domainService}.service

# WildFly relies on some arch specific binary modules, let's link them.
# We don't want to do this at build time because it should be still noarch package.
arch=$(uname -m)

if [ "${arch}" = "x86_64" ]; then
  libdir="/usr/lib64"
else
  libdir="/usr/lib"
fi

if [[ $arch == arm* ]]; then
  validarch="arm"
else
  validarch=${arch}
fi

# This link would be broken unless the hornetq-native (activemq-native) package is installed
# We let the artemis-native-wildfly subpackage of artemis-native to install it in the Wildfly tree
#pushd %{homedir}/modules/system/layers/base/org/hornetq/main/lib/linux-${validarch} > /dev/null
#  ln -sf ${libdir}/libHornetQAIO.so libHornetQAIO.so
#popd > /dev/null

%preun
%systemd_preun %{standaloneService}.service
%systemd_preun %{domainService}.service

# Let's clean up the arch-specific symlinks
#find %{homedir}/modules/system/layers/base/org/hornetq/main/lib -type l -name "*.so" -exec rm {} \;

%postun
%systemd_postun_with_restart %{standaloneService}.service
%systemd_postun_with_restart %{domainService}.service

%files
%{homedir}/appclient
%attr(0755,root,root) %dir %{bindir}
%config(noreplace) %{bindir}/*.conf
%{bindir}/*.sh
%{bindir}/*.properties
%{bindir}/*.jar
%{bindir}/.jbossclirc
%{bindir}/jboss-cli.xml
%{bindir}/client/*
%{_bindir}/*
#%%{homedir}/auth
%dir %{homedir}/docs
%{homedir}/docs/examples
%{homedir}/docs/licenses
%{homedir}/docs/schema
%{homedir}/domain
%if %with migration
%{homedir}/migration
%endif
%if 0
%{homedir}/.galleon
%{homedir}/.installation
%endif
%{homedir}/standalone
%dir %{homedir}/.well-known
%dir %{homedir}/.well-known/acme-challenge/
%{homedir}/welcome-content
%{homedir}/jboss-modules.jar
%attr(-,root,jboss) %dir %{libdir}
%attr(-,root,jboss) %{libdir}/standalone
%attr(-,root,jboss) %{libdir}/domain
%attr(0775,root,jboss) %dir %{rundir}
%attr(0775,root,jboss) %dir %{cachedir}
%attr(0775,root,jboss) %dir %{cachedir}/standalone
%attr(0770,root,jboss) %dir %{cachedir}/standalone/tmp
%attr(0700,jboss,jboss) %dir %{cachedir}/standalone/tmp/auth
%attr(0775,root,jboss) %dir %{cachedir}/domain
%attr(0770,root,jboss) %dir %{cachedir}/domain/tmp
%attr(0700,jboss,jboss) %dir %{cachedir}/domain/tmp/auth
%attr(0770,root,jboss) %dir %{logdir}
%attr(0770,root,jboss) %dir %{logdir}/standalone
%attr(0770,root,jboss) %dir %{logdir}/domain
%attr(0775,root,jboss) %dir %{confdir}
%attr(0775,root,jboss) %dir %{confdir}/appclient
%attr(0775,root,jboss) %dir %{confdir}/standalone
%attr(0775,root,jboss) %dir %{confdir}/domain
%if %with migration
%attr(0775,root,jboss) %dir %{confdir}/migration
%endif
%if 0
%attr(0775,root,jboss) %{confdir}/.galleon
%attr(0775,root,jboss) %{confdir}/.installation
%endif
#%%attr(0700,jboss,jboss) %dir %{###cache###dir}/auth
%attr(0600,jboss,jboss) %config(noreplace) %{confdir}/appclient/*.properties
%attr(0664,jboss,jboss) %config(noreplace) %{confdir}/appclient/*.xml
%attr(0600,jboss,jboss) %config(noreplace) %{confdir}/standalone/*.properties
%attr(0664,jboss,jboss) %config(noreplace) %{confdir}/standalone/*.xml
%attr(0600,jboss,jboss) %config(noreplace) %{confdir}/domain/*.properties
%attr(0664,jboss,jboss) %config(noreplace) %{confdir}/domain/*.xml
%if %with migration
%attr(0600,jboss,jboss) %config(noreplace) %{confdir}/migration/*.properties
%attr(0600,jboss,jboss) %config(noreplace) %{confdir}/migration/migration-report-template.html
%endif
%config(noreplace) %{confdir}/jboss-cli.xml
%config(noreplace) %{confdir}/%{standaloneService}.conf
%{_unitdir}/%{standaloneService}.service
%config(noreplace) %{confdir}/%{domainService}.conf
%{_unitdir}/%{domainService}.service
%if 0%{?scl:1}
%{_scl_scripts}/service-environment
%endif
# Remove copyright.txt and README.txt: https://issues.jboss.org/browse/JBEAP-370
#%%#d#o#c %{#home#dir}/README.txt
#%%#d#o#c %{#home#dir}/copyright.txt
%doc %{homedir}/JBossEULA.txt
%doc %{homedir}/LICENSE.txt
%doc %{homedir}/version.txt
%doc %dir %{_docdir}/%{pkg_name}
%doc %{_docdir}/%{pkg_name}/LICENSE.txt
%doc %{_docdir}/%{pkg_name}/examples/*
%doc %{_docdir}/%{pkg_name}/licenses/*
%doc %{_docdir}/%{pkg_name}/schema/*
%dir %{_javadir}/%{pkg_name}


%files modules
%dir %{homedir}
%{homedir}/modules
%{_javadir}/%{pkg_name}/*client.jar


%if %with javadoc
%files javadocs
%defattr(0644,root,root,0755)
%{_javadocdir}/wildfly-%{namedversion}
%{_javadocdir}/wildfly
%endif

%files java-jdk11
 
%files java-jdk17

%changelog
* Mon Mar 04 2024 Permaine Cheung <pcheung@redhat.com> - 8.0.1-3.GA_redhat_00002.1
- Wrapper build 8.0.0

* Wed Feb 21 2024 cpaas-ops <cpaas-ops@redhat.com> - 8.0.1-2.GA_redhat_00002.1
- Built by CPaaS

* Wed Feb 21 2024 cpaas-ops <cpaas-ops@redhat.com> - 8.0.1-1.GA_redhat_00002.1
- Built by CPaaS

* Tue Jan 23 2024 Permaine Cheung <pcheung@redhat.com> - 8.0.0-35.GA_redhat_00011.1
- Wrapper build 8.0.0

* Mon Jan 22 2024 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-34.GA_redhat_00005.1
- Built by CPaaS

* Wed Nov 15 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-33.GA_redhat_00001.1
- Built by CPaaS

* Wed Nov 15 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-32.GA_redhat_00001.1
- Built by CPaaS

* Mon Nov 06 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-31.GA_redhat_00010.1
- Built by CPaaS

* Tue Oct 31 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-30.GA_redhat_00010.1
- Built by CPaaS

* Tue Oct 31 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-29.GA_redhat_00010.1
- Built by CPaaS

* Thu Oct 12 2023 Permaine Cheung <pcheung@redhat.com> - 8.0.0-28.GA_redhat_temporary_redhat_00004.1
- Test wrapping from new prospero build for 8.0.0

* Wed Oct 11 2023 Permaine Cheung <pcheung@redhat.com> - 8.0.0-28.GA_redhat_temporary_redhat_00004.1
- Test wrapping from new prospero build for 8.0.0

* Mon Sep 18 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-27.GA_redhat_00009.1
- Built by CPaaS

* Wed Sep 13 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-26.GA_redhat_00009.1
- Built by CPaaS

* Tue Sep 12 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-25.GA_redhat_00008.1
- Built by CPaaS

* Mon Sep 11 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-25.GA_redhat_00008.1
- Built by CPaaS

* Mon Sep 11 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-24.GA_redhat_00006.1
- Built by CPaaS

* Thu Aug 03 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-23.GA_redhat_00006.1
- Built by CPaaS

* Fri Jul 28 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-22.GA_redhat_00006.1
- Built by CPaaS

* Fri Jul 28 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-21.GA_redhat_00006.1
- Built by CPaaS

* Thu Jul 27 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-20.GA_redhat_00007.1
- Built by CPaaS

* Tue Jul 25 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-19.GA_redhat_00007.1
- Built by CPaaS

* Fri Jul 14 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-18.GA_redhat_00007.1
- Built by CPaaS

* Fri Jul 07 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-17.GA_redhat_00006.1
- Built by CPaaS

* Tue Jul 04 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-16.GA_redhat_00005.2
- Built by CPaaS

* Tue Jun 06 2023 Permaine Cheung <pcheung@redhat.com> - 8.0.0-15.GA_redhat_00001.1
- Rebuild

* Tue Jun 06 2023 Permaine Cheung <pcheung@redhat.com> - 8.0.0-14.GA_redhat_00001.1
- 8.0.0 snapshot

* Mon Jun 05 2023 Permaine Cheung <pcheung@redhat.com> - 8.0.0-14.GA_redhat_00001.1
- 8.0.0 snapshot

* Mon Mar 27 2023 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-13.Beta_redhat_00003.1
- Built by CPaaS

* Tue Dec 06 2022 Permaine Cheung <pcheung@redhat.com> - 8.0.0-12.Beta_redhat_00003.1
- Rebuild with DEPENDENCIES updated

* Thu Nov 24 2022 Permaine Cheung <pcheung@redhat.com> - 8.0.0-11.Beta_redhat_00003.1
- Rebuild

* Thu Nov 24 2022 Permaine Cheung <pcheung@redhat.com> - 8.0.0-10.Beta_redhat_00003.1
- Move R: back into wildfly

* Tue Nov 15 2022 Permaine Cheung <pcheung@redhat.com> - 8.0.0-9.Beta_redhat_00003.1
- Rebuild

* Tue Nov 08 2022 Permaine Cheung <pcheung@redhat.com> - 8.0.0-8.Beta_redhat_00003.1
- Beta rebuild

* Tue Nov 08 2022 Permaine Cheung <pcheung@redhat.com> - 8.0.0-7.Beta_redhat_00003.1
- Beta rebuild

* Mon Nov 07 2022 Permaine Cheung <pcheung@redhat.com> - 8.0.0-6.Beta_redhat_00003.1
- Beta

* Fri Nov 04 2022 Permaine Cheung <pcheung@redhat.com> - 8.0.0-6.Beta_redhat_00003.1
- Beta

* Wed Nov 02 2022 Permaine Cheung <pcheung@redhat.com> - 8.0.0-5.Beta_redhat_00002.1
- 8.0.0.Alpha-DR3-redhat-00001

* Wed Nov 02 2022 Permaine Cheung <pcheung@redhat.com> - 8.0.0-4.Beta_redhat_00002.1
- Beta test build

* Fri Sep 09 2022 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-3.Alpha_DR3_redhat_00001.1
- Built by CPaaS

* Tue Sep 06 2022 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-2.Alpha_DR3_redhat_00001.1
- Built by CPaaS

* Fri Sep 02 2022 Permaine Cheung <pcheung@redhat.com> - 8.0.0-1.Alpha_DR3_redhat_00001.1
- Test build
